apiVersion: apps/v1
kind: Deployment
metadata:
  name: notification-service-py-deployment
  labels:
    app: notification-service-py
spec:
  replicas: 1
  selector:
    matchLabels:
      app: notification-service-py
  template:
    metadata:
      labels:
        app: notification-service-py
    spec:
      containers:
        - name: notification-service-py
          image: notification-service-py:latest # This image needs to be built and pushed to a registry
          ports:
            - containerPort: 8083
          resources:
            limits:
              memory: "128Mi"
              cpu: "200m"
            requests:
              memory: "64Mi"
              cpu: "100m"
